summarylogtreecommitdiffstats
path: root/nrs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'nrs.sh')
-rwxr-xr-xnrs.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/nrs.sh b/nrs.sh
new file mode 100755
index 000000000000..d5f81ff43cd5
--- /dev/null
+++ b/nrs.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+nxt_status=$(systemctl is-active nxt)
+
+which notify-send > /dev/null
+is_libnotify_installed=$?
+
+if [ $libnotify_installed ]; then
+ echo "libnotify_installed"
+fi
+
+if [ $nxt_status != "active" ]; then
+ start_nxt_message="NXT service isn't active. Try starting NXT with 'systemctl start nxt' if NRS doesn't load."
+ if [ $is_libnotify_installed ]; then
+ notify-send "NRS" "$start_nxt_message"
+ fi
+ echo "$start_nxt_message"
+fi
+
+xdg-open http://localhost:7876/